import torch
from explaining_framework.metric.base import Metric


class Sparsity(Metric):
    def __init__(self, name):
        super().__init__(name=name, model=None)

    def forward(self, mask):
        return torch.mean(mask.float()).item()
