import json

import yaml


def read_json(path: str) -> dict:
    with open(path, "r") as f:
        data = json.load(f)
    return data


def write_json(data: dict, path: str) -> None:
    with open(path, "w") as f:
        data = json.dump(data, f)


def read_yaml(path: str) -> dict:
    with open(path, "r") as f:
        data = yaml.safe_load(f)
    return data


def write_yaml(data: dict, path: str) -> None:
    with open(path, "w") as f:
        data = yaml.dump(data, f)
